# class Chef::ChefFS::FileSystem::ChefRepositoryFileSystemAclsDir

### Public Class Methods

new(name, parent, path = nil) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/chef_repository_file_system_acls_dir.rb, line 27
    def initialize(name, parent, path = nil)
      super(name, parent, path, Chef::ChefFS::DataHandler::AclDataHandler.new)
    end

### Public Instance Methods

can_have_child?(name, is_dir) click to toggle source

    # File lib/chef/chef_fs/file_system/chef_repository_file_system_acls_dir.rb, line 31
    def can_have_child?(name, is_dir)
      is_dir ? Chef::ChefFS::FileSystem::AclsDir::ENTITY_TYPES.include?(name) : name == 'organization.json'
    end